Package ru.bitel.bgbilling.modules.gazprombank.server.event

# Class GazprombankAutopaymentEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.modules.gazprombank.server.event.GazprombankAutopaymentEvent

All Implemented Interfaces:
  `Serializable`

public class GazprombankAutopaymentEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GazprombankAutopaymentEvent()`
  ``
  `GazprombankAutopaymentEvent(int moduleId, int contractId, AutopaymentMode mode, BigDecimal sum)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AutopaymentMode`
  `getMode()`
  `BigDecimal`
  `getSum()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GazprombankAutopaymentEvent

    protected GazprombankAutopaymentEvent()

  - ### GazprombankAutopaymentEvent

    public GazprombankAutopaymentEvent(int moduleId, int contractId, AutopaymentMode mode, BigDecimal sum)

- ## Method Details

  - ### getMode

    public AutopaymentMode getMode()

  - ### getSum

    public BigDecimal getSum()